import * as _$_emotion_react0 from "@emotion/react";
import { CSSInterpolation } from "@emotion/css";

//#region src/styles/utils.d.ts
declare function pxToRems<T extends boolean>(rems: number, asNum?: T): T extends true ? number : string;
declare function remsToPx<T extends boolean>(rems: number, asNum?: T): T extends true ? number : string;
declare const extend: (...args: Array<CSSInterpolation>) => _$_emotion_react0.SerializedStyles;
declare const size: {
  px8: string | number;
  px10: string | number;
  px12: string | number;
  px14: string | number;
  px16: string | number;
  px18: string | number;
  px20: string | number;
  px21: string | number;
  px24: string | number;
};
declare const flexCenterAxis: _$_emotion_react0.SerializedStyles;
declare const flexCenter: _$_emotion_react0.SerializedStyles;
declare const inlineFlexCenter: _$_emotion_react0.SerializedStyles;
declare const flexBetween: _$_emotion_react0.SerializedStyles;
declare const absoluteCenter: _$_emotion_react0.SerializedStyles;
declare const textCenter: _$_emotion_react0.SerializedStyles;
declare const overflowAutoWithoutScrollbars: _$_emotion_react0.SerializedStyles;
declare const lineClamp: (lines: number) => _$_emotion_react0.SerializedStyles;
declare const ignoreSSRWarning = "/* @emotion-disable-server-rendering-unsafe-selector-warning-please-do-not-use-this-the-warning-exists-for-a-reason */";
declare const firstChild: (style: string) => string;
//#endregion
export { absoluteCenter, extend, firstChild, flexBetween, flexCenter, flexCenterAxis, ignoreSSRWarning, inlineFlexCenter, lineClamp, overflowAutoWithoutScrollbars, pxToRems, remsToPx, size, textCenter };